ALLEGRO_VERTEX_DECL(3)

NAME

ALLEGRO_VERTEX_DECL - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    typedef struct ALLEGRO_VERTEX_DECL ALLEGRO_VERTEX_DECL;

DESCRIPTION

A vertex declaration. This opaque structure is responsible for describing the format and layout of a user defined custom vertex. It is created and destroyed by specialized functions.

SEE ALSO

al_create_vertex_decl(3), al_destroy_vertex_decl(3), ALLEGRO_VERTEX_ELEMENT(3)